/*
 Pisca um LED na porta B5 com período 1s

 Copyright (C) 2018 ADA-Projetos em Engenharia de Computacao

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

 Amador M. Souza Neto (amador.neto@usp.br)
*/

#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>

int main() {
	DDRB |= (1 << DDB5); //Configura a porta B5 como output
	while (1) {
		PORTB |= (1 << DDB5); //Define a saída da porta B5 como nível lógico alto
		_delay_ms(500); //Espera por 500ms
		PORTB &= ~(1 << DDB5); //Define a saída da porta B5 como nível lógico baixo
		_delay_ms(500); //Espera mais 500ms
	}
	return 0 ;
}